.picker {
    width: 320px;
    color: #777;
    background: white;
}

.header {
    display: flex;
    padding: 20px;
    background: blue;
    color: white;
    font-size: 1.3rem;
}

.header .month {
    margin-right: 10px;
    cursor: pointer;
    font-weight: bold;
    text-transform: uppercase;
}

.header .year {
    cursor: pointer;
}

.header .navigation {
    display: flex;
    margin-left: auto;
}

.header .navigation button {
    cursor: pointer;
    border: none;
    background: transparent;
    height: 25px;
    width: 25px;
    color: white;
    background: rgba(0,0,0,0.2);
    margin-left: 5px;
}

.header .navigation button.prev span {
    display: block;
    height: 10px;
    width: 10px;
    border-top: 2px solid white;
    border-left: 2px solid white;
    transform: rotate(-45deg) translate(2px, 2px);
}

.header .navigation button.next span {
    display: block;
    height: 10px;
    width: 10px;
    border-top: 2px solid white;
    border-right: 2px solid white;
    transform: rotate(45deg);
}

.calendar {
    padding: 20px;
    text-align: center;
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    grid-auto-rows: 30px;
    grid-gap: 10px;
}

.week {
    text-align: center;
    padding: 10px 20px;
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    grid-gap: 10px;
    background: var(--primary);
}

.weekday {
    color: white;
    font-size: .7rem;
}

.day {
    cursor: pointer;
}
.cell.active {
    position: relative;
    color: var(--primary);
    font-weight: bold;
    pointer-events: none;
}
.cell.active::after {
    content: '';
    height: 35px;
    width: 35px;
    border-radius: 50%;
    border: 2px solid var(--primary);
    position: absolute;
    top: -9px;
    left: 50%;
    transform: translateX(-50%);
    background: white;
    z-index: 1;
}
.cell.today { position: relative; }
.cell.today::before {
    content: '';
    height: 5px;
    width: 5px;
    border-radius: 50%;
    position: absolute;
    bottom: 4px;
    left: 50%;
    transform: translateX(-50%);
    background: #ddd;
    z-index: 3;
}
.cell.range {
    position: relative;
}
.cell.range::after {
    position: absolute;
    left: -15px;
    top: -4px;
    height: 100%;
    width: calc(100% + 30px);
    content: '';
    background: #edf8fb;
    z-index: -0;
}
.cell.range span,
.cell.active span {
    z-index: 1;
    position: relative;
}
.cell.active span {
    z-index: 2;
}

.cell.disabled {
    pointer-events: none;
    color: #eee;
}

.other {
    color: #ccc;
}

.months, 
.years {
    padding: 20px;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-auto-rows: 30px;
    grid-gap: 10px;
    text-transform: uppercase;
    font-size: .9rem;
}

.years {
    grid-template-columns: repeat(5, 1fr);
}

.month,
.year {
    cursor: pointer;
}

.day:hover,
.months .month:hover,
.years .year:hover {
    color: var(--primary);
}